%define	prefix	/usr/X11R6
%define version 20000326

Summary:	MS-Windows emulator
Name:		wine
Version:	%{version}
Release:	3mdk
Copyright:	Wine Licence (BSD-like)
Group:		Emulators

Source0:	Wine-%{version}.tar.bz2
Source1:	wine-mandrake.conf
Source2:	wine-config

URL:		http://www.winehq.org/
ExclusiveArch:	i386 i486 i586 i686 k6
BuildRoot:	%{_tmppath}/wine-root
Prereq:		/bin/sed, /bin/awk, /bin/egrep

%description
Wine, the Windows emulator, allows running win 3.*, win95, winNT programs
on a i386 (or compatible) machine running X11.

It is still alpha level code; don't expect everything to work.

%package debug
Summary:	MS-Windows emulator (version whith debug info)
Group:		Emulators
Requires:	wine

%description debug
Wine, the Windows emulator, allows running win 3.*, win95, winNT programs
on a i386 machine running X11.

This package installs the version whith full debugging info; needed
to make debug reports

%prep
%setup

%build
find . -type 'd' -name 'CVS'|xargs rm -rf

# Before 20032000
# Wine doesn't like optimizations :/ CFLAGS="-O2" will have to do.
CFLAGS="-O2" ./configure --sysconfdir=/etc --prefix=%{prefix}

# Don't work
# CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT%{prefix} --sysconfdir=/etc
make depend
make

%install
rm -rf $RPM_BUILD_ROOT

# Allow users to build
perl -p -i -e "s|-\$(LDCONFIG)|#-\$(LDCONFIG)|" Makefile

make install prefix=$RPM_BUILD_ROOT%{prefix}

bzip2 -9 $RPM_BUILD_ROOT%{prefix}/man/man1/wine.1
bzip2 -9 $RPM_BUILD_ROOT%{prefix}/man/man5/wine.conf.5

cp $RPM_BUILD_ROOT%{prefix}/bin/wine $RPM_BUILD_ROOT%{prefix}/bin/wine-strip
strip $RPM_BUILD_ROOT%{prefix}/bin/wine-strip
mv $RPM_BUILD_ROOT%{prefix}/bin/wine $RPM_BUILD_ROOT%{prefix}/bin/wine-debug

cp tools/fnt2bdf $RPM_BUILD_ROOT%{prefix}

mkdir -p $RPM_BUILD_ROOT/etc/
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/wine.conf

cp %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/bin
chmod u+x $RPM_BUILD_ROOT%{prefix}/bin/wine-config

# wrapper
cat << EOF > $RPM_BUILD_ROOT%{prefix}/bin/wine
#!/bin/sh
if [ -x %{prefix}/bin/wine-debug ];
then
        exec %{prefix}/bin/wine-debug "\$@"
else
	exec %{prefix}/bin/wine-strip -managed -winver win95 "\$@"
fi
EOF
chmod a+rx $RPM_BUILD_ROOT%{prefix}/bin/wine

#%clean
#rm -rf $RPM_BUILD_ROOT

%post
# 1=first time install
if [ "$1" = "1" ]
then
	/usr/X11R6/bin/wine-config

else
	/usr/X11R6/bin/wine-config
	echo "Your old /etc/wine.conf is saved as /etc/wine.conf.sav."
	echo "I have installed a new /etc/wine.conf, please upgrade it."
	echo "Run \"man wine.conf\" for information."
fi

/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc documentation/*
%doc ANNOUNCE AUTHORS BUGS ChangeLog DEVELOPERS-HINTS LICENSE README WARRANTY
%config /etc/wine.conf
%defattr(-,root,root)
%{prefix}/man/man1/wine.1*
%{prefix}/man/man5/wine.conf.5*
%{prefix}/bin/dosmod
%{prefix}/bin/wine
%{prefix}/bin/wine-strip
%{prefix}/bin/wine-config
%{prefix}/bin/wineclipsrv
%{prefix}/bin/wineserver*
%{prefix}/include/wine
%{prefix}/lib/lib*

%files debug
%defattr(-,root,root)
%{prefix}/bin/wine-debug
%{prefix}/lib/wine.sym

%changelog
* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 20000326-3mdk
- New group

* Tue Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-2mdk
- Fix wine-config

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-1mdk
- 20000326

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20002702-2mdk
- Use new group
- Clean up spec

* Wed Mar 01 2000 David BAUDENS <baudens@mandrakesoft.com> 200027022-1mdk
- 27022000

* Thu Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build with new Mesa

* Fri Nov 18 1999 - David BAUDNS <baudens@mandrakesoft.com>
- 991114

* Mon Nov 01 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 991031
- Add i486, i686 and k6 arch
- Delete all locale summary and description (it's in po now)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990923

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Fix an old bug in the spec (Thanks dark chmouel)

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 19990731

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post script syntax.

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990704
	* windows/*.c, ole/*.c, files/*.c, multimedia/*.c:
	Converted to the new debug interface, using script written by Patrik
	Stridvall.

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %post scripts.
- Upgrade Prereq.

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 990518
- --enable-dll
- add de locale
- ignore RPM_OPT_FLAGS - Wine segfaults if compiled with more optimizations
  than -O2.

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake 6.0 adaptations.
- 990508

* Tue Apr 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990328.

* Tue Mar 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990314
- Fix in the wine-config postinstall script.

* Sun Jan 03 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- deleted the %post %postun of package wine-debug (no more needed since
  the wrapper does now the job)
- make use of %{prefix} definition; now changing almost one line you can
  choose wether you want to install in /usr/local or /usr or /usr/X11R6
- changed %post so it is only done the *first* time it is installed 
  (otherwise people will hate us for doing weird things whith their
  hand made configurations)

* Tue Dec 29 1998 Chmouel Boudjnah <crbc@club-internet.fr>
- Adding speciale wine-conf for mandrake
- Adding postinstall script
- Changing the ./configure to put wine.conf in /etc and prefix on /usr/X11R6
- First version receveid from Pablo Saratxaga <srtxg@chanae.alphanet.ch>
